Skip to main content
POST
/
v1
/
music
Generate music from text prompt
curl --request POST \
  --url https://api.rimp.io/v1/music \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "duration_s": 97,
  "with_vocals": true
}
'
{
  "id": "<string>",
  "prompt": "<string>",
  "params": {},
  "reserved_credits": 123,
  "charged_credits": 123,
  "refunded_credits": 123,
  "cache_hit": true,
  "outputs": [
    {
      "id": "<string>",
      "mime": "<string>",
      "width": 123,
      "height": 123,
      "duration_s": "<string>",
      "url": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rimp.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required
prompt
string
required
duration_s
integer
Required range: 15 <= x <= 180
with_vocals
boolean

Response

202 - application/json

Music generation queued.

id
string
object
enum<string>
Available options:
generation
status
enum<string>
Available options:
queued,
running,
succeeded,
failed,
canceled
modality
enum<string>
Available options:
image,
video,
voice,
music,
avatar,
chat,
3d,
upscale
prompt
string
params
object
reserved_credits
integer
charged_credits
integer
refunded_credits
integer
cache_hit
boolean
outputs
object[]